import javax.swing.*;
import java.awt.*;

public class H12_Oefenening2_T extends JFrame
{
	private JRadioButton redButton, greenButton, blueButton, yellowButton;
	private ButtonGroup radioGroup;
	private JButton defaults, ok, cancel;
	private JCheckBox dashed, thick, rounded;
	
	
	public H12_Oefenening2_T()
	{
		Container container = getContentPane();
		container.setLayout(new FlowLayout());
		
		redButton = new JRadioButton("RED", false);
		greenButton = new JRadioButton("GREEN", false);
		yellowButton = new JRadioButton("YELLOW", false);
		blueButton = new JRadioButton("BLUE", false);
		container.add (redButton);
		container.add (greenButton);
		container.add (blueButton);
		container.add (yellowButton);
		radioGroup = new ButtonGroup();
		radioGroup.add (redButton);
		radioGroup.add (greenButton);
		radioGroup.add (blueButton);
		radioGroup.add (yellowButton);
		
		dashed = new JCheckBox("DASHED");
		thick = new JCheckBox("THICK");
		rounded = new JCheckBox("ROUNDED");
		
		container.add(dashed);
		container.add(thick);
		container.add(rounded);
		
		defaults = new JButton("DEFAULTS");
		ok = new JButton("OK");
		cancel = new JButton("CANCEL");
		container.add(defaults);
		container.add(ok);
		container.add(cancel);
		
		setSize(300,150);
		setVisible(true);
	}
	
	public static void main (String args[])
	{
		H12_Oefenening2_T application = new H12_Oefenening2_T();
		application.setDefaultCloseOperation(EXIT_ON_CLOSE);
	}
}